#include "objecttype.h"

using namespace Msp;

namespace R2C2 {

ObjectType::ObjectType():
	shape(0)
{ }

ObjectType::~ObjectType()
{
	delete shape;
}


ObjectType::Loader::Loader(ObjectType &ot):
	DataFile::ObjectLoader<ObjectType>(ot)
{
	add("article_number", &Loader::article_number);
	add("description", &ObjectType::description);
	add("name",        &ObjectType::name);
}

void ObjectType::Loader::article_number()
{
	load_sub(obj.art_nr);
}

} // namespace R2C2
